int Pin_LDR=A0;
int Pin_LED=2;
int CAN_ULDR;
float ULDR;
float(I);
int R = 1000;       // valeur de la résistance en série avec la LDR
float(RLDR);
float(k);
float(E);

void setup() {
  pinMode(Pin_LED, OUTPUT);
  Serial.begin(9600);
}

void loop() {
  CAN_ULDR = analogRead(Pin_LDR);
  ULDR=5.0/1023*CAN_ULDR;
  I = (5 - ULDR) / R;
  RLDR = ULDR / I;
  k = (log(101364) - log(RLDR)) / 0.78;       // k est déduit de la modélisation de la résistance de la LDR en fonction
                                              // de l'éclairement E : RLDR = 101364*E^(-0,78)
  E = exp(k);                                 // calcul de l'éclairement
  
 Serial.print(E,0);                       //affichage de l'éclairement avec 0 décimal
 Serial.print(" lux");
 Serial.println("");
 delay(1000);
}
