int Pin_LM35=A0;
int CAN_ULM35;
float ULM35;
float(T);

void setup() {
  analogReference(INTERNAL);    //modifie la tension de référence à 1,1 V (par défaut elle vaut 5 V).
                               // On obtient ainsi une résolution du CAN de 1,1/1024 soit environ 1 mV.
                              // Le LM35 ayant une sensibilité de 10 mV/°C, la résolution de l'affichage de la température peut alors être de 0,1°C
                              // au lieu de 0,5°C pour une tension de référence de 5 V (qui entraine une résolution du CAN de 5 mV)
  Serial.begin (9600);
}

void loop() {
  CAN_ULM35 = analogRead(Pin_LM35);   
  ULM35=1.1/1023*CAN_ULM35;
  T = ULM35/0.01;
  Serial.println(CAN_ULM35);
  Serial.println(ULM35);
  Serial.print(T,1);
  Serial.println("°C");
  delay(2000);
}
