 const float vitesse = 330;       // Définit une constante : la vitesse du son en m/s
  float duree;
  float distance;
  int Pin_Trig=2;             // Sélectionne la broche 2 pour être reliée à l'entrée Trigger du capteur ultrason HC-SR04.
  int Pin_Echo=3;             // Sélectionne la broche 3 pour être reliée à la sortie Echo du HC-SR04.
  
void setup()                // Initialisation du programme
{
    pinMode(Pin_Trig, OUTPUT);  // Configure la broche Pin_Trig en sortie.
    pinMode(Pin_Echo,INPUT);    // Configure la broche Pin_Echo en entrée.
    Serial.begin(9600);         // Initialise la vitesse de communication entre la carte Plug'Uino et le PC 9600 bps.
   
    }
void loop()               // Boucle principale
{
    digitalWrite(Pin_Trig, HIGH);
    delayMicroseconds(5);                  // Une impulsion High (5 V) de 5 µs (le minimum est 2 µs) est envoyée sur la broche Trigger du capteur.
    digitalWrite(Pin_Trig,LOW);            // Le capteur génère alors une salve d'ultrasons à 40 kHz pendant 200µs (soit 8 périodes de 25 µs).
     
    duree = pulseIn(Pin_Echo,HIGH)*1e-6 ;
                                                             
  distance = vitesse*duree/2 ;             // Calcule la distance.
  Serial.print("La ditance est de ");
  Serial.print(distance,3);
  Serial.println(" m");
  delay(1000);                            // Attend 1000 ms avant de recommencer.
}
