  const float vitesse = 330;       // Valeur de la vitesse du son en m/s
  float duree;
  float distance;
  int Pin_Trig=2;             // Sélectionne la broche 2 pour être reliée à l'entrée Trigger du capteur ultrason HC-SR04.
  int Pin_Echo=3;             // Sélectionne la broche 3 pour être reliée à la sortie Echo du HC-SR04.
  int Pin_LEDrouge=4;
  int Pin_LEDjaune=5;
  int Pin_LEDverte=6;
  
void setup()                // Initialisation du programme
{
    pinMode(Pin_Trig, OUTPUT);  // Configure la broche Pin_Trig en sortie.
    pinMode(Pin_Echo,INPUT);    // Configure la broche Pin_Echo en entrée.
    pinMode(Pin_LEDverte, OUTPUT);
    pinMode(Pin_LEDjaune, OUTPUT);
    pinMode(Pin_LEDrouge, OUTPUT);   
    Serial.begin(9600);         // Initialise la vitesse de communication entre la carte Plug'Uino et le PC à 9600 bps.
   
    }
void loop()               // Boucle principale
{
    digitalWrite(Pin_LEDverte,LOW);
    digitalWrite(Pin_LEDjaune,LOW);
    digitalWrite(Pin_LEDrouge,LOW);
    digitalWrite(Pin_Trig, HIGH);
    delayMicroseconds(5);                  // Une impulsion High (5 V) de 5 µs (le minimum est 2 µs) est envoyée sur la broche Trigger du capteur.
    digitalWrite(Pin_Trig,LOW);            // Le capteur génère alors une salve d'ultrasons à 40 kHz pendant 200µs (soit 8 périodes de 25 µs).
     
    duree = pulseIn(Pin_Echo,HIGH)*1e-6 ;
                                                             
  distance = vitesse*duree/2 ;             // Calcule la distance.

  if(distance>0.3){
    digitalWrite(Pin_LEDverte,HIGH);
  }
  if((distance>0.15)and(distance<0.3)){
    digitalWrite(Pin_LEDjaune,HIGH);
  }
  if(distance<0.15){
    digitalWrite(Pin_LEDrouge,HIGH);
  }
  delay(10);                            // Attend 10 ms avant de recommencer.
}
