int PIN_R = A2;
int PIN_LED=5;
int E;
float U;
float temperature;
void setup() {
  Serial.begin(9600);
  pinMode (PIN_LED,OUTPUT);
}
void loop() {
  E=analogRead(PIN_R);  //lit la valeur de la tension                 
  U=E*5.0/1024;       //calcule la tension UR                       
  temperature=(U-1.269)/0.046;    //calcule la température (la formule est déduite de la modélisation affine de UR en fonction de T)
                                  //Pour la modélisation, il faut obligatoirement sélectionner une plage de température dans
                                  //laquelle la tension aux bornes de R peut être considérée comme linéaire.
                                  //Dans le cas présent : U = 0,046*temperature + 1,269 (entre 20°C et 60°C)                                                              
  if (temperature <20 or temperature>60)
  { Serial.println("La température est en dehors de la plage de mesure allant de +20°C à +60°C");
  }
  else
  { Serial.print("Température = +");Serial.print(temperature);Serial.println("°C");
  }
  if (temperature >27 and temperature<60)
  { digitalWrite(PIN_LED,1);
  }
  else
  { digitalWrite(PIN_LED,0);
  }
delay(2000);
}
