int Pin_LDR=A0;
int Pin_LED=2;
int CAN_ULDR;
float ULDR;
float(I);
int R = 1000;       // valeur de la résistance en série avec la LDR
float(RLDR);

void setup() {
  pinMode(Pin_LED, OUTPUT);
}

void loop() {
  CAN_ULDR = analogRead(Pin_LDR);         //Conversion analogique/numérique CAN sur 10 bits (1024 niveaux de quantification notés de 0 à 1023 en base 10))
                                    //soit une résolution de 5/1024=0,00488V (variation de la tension d'entrée entrainant une variation d'une unité du code binaire).
  ULDR=5.0/1023*CAN_ULDR;                 //Conversion numérique/analogique CNA (attention elle n'est que virtuelle)
                                    //La résolution passe à 5/1023=0,00489V (variation de la tension de sortie pour une variation d'une unité du code binaire)
                                    //Avec 1024 niveaux de quantification (notés de 0 à 1023 en base 10), la plage de conversion de tension est partagée en 1023 intervalles.
                                    //A noter qu'avec 10 bits, les résolutions CAN et CNA sont pratiquement égales.
  I = (5 - ULDR) / R;
  RLDR = ULDR / I;
  if (RLDR > 2000)                       // R = 2000 ohms correspond à un éclairement de 150 lux
  { digitalWrite(Pin_LED, HIGH);
  }
  else
  { digitalWrite(Pin_LED, LOW);
  }
}
